package com.ccwangluo.ccim.socket;

import com.ccwangluo.ccim.listener.MessageListener;

import ccim.protocol.Chat;

public interface SocketClient {

    void sendMsg(Object bytes);

    void connect(MessageListener msglistner);

    void destroy();

    boolean isActive();

    void heartBeat(Long frequency, Chat.ChatRequestMessage build);
}
